Note: ruby on rails – ExecJS: Could not find a JavaScript runtime

a simple method is add the following line into Gemfile

gem ‘therubyracer’, platforms: :ruby

then run ‘bundle install’ or ‘bundle update’ under project folder

others support javascript runtime, you can reference

https://github.com/sstephenson/execjs#readme

 

 

 

廣告

發表迴響

在下方填入你的資料或按右方圖示以社群網站登入:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s

%d 位部落客按了讚: